Subject: Is bash's "test" broken in a command substition ?
From: [email-masked] (Gabriel Galibourg)

21 Nov 1998 20:25:35 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>

Hi,

Is bash's 'test' broken (in a command substitution!) ? can someone else try this and tell me if they have a problem too ... this construct used to work fine in B19, works in ksh (under Solaris) ... quid?

To reproduce:
1) type this line in a file (call it foo.sh, but any other name will do)
echo $( test 1 == 1 && /bin/echo yes || echo no $)

2) under bash type:
.. foo.sh (YES! source it!)

3) you should get the following (at least I do):
bash.exe-2.02$ . foo.sh
[proc] C:\usr\H-i586-cygwin32\bin\bash.exe 1607 (0) sig_send: wait for sig_complete event failed, sig 20, rc -1, error 6
yes
bash.exe-2.02$

.... ok, it does print 'yes' as expected but the error message is not really necessary!

Am I missing something ?
If I start a new bash inside the first one then I don't get this bizarre printout!

also my ENV is:
CYGWIN=notitle tty  (I added binmode to no success)
uname -a = CYGWIN_NT-4.0 LUTHER 20.0 (0.1/1/1) -11-8 11:59:08 i686 unknown
Os is NT4 SP3

This is with SOS's coolview 8/11, I have also tried with the original cygwin1.dll ... no better!

Thanks for your help,

Gabriel.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".